Skip to main content
FunCaptcha is a widely-used image-based captcha.
FunCaptcha darts challenge

Use the arrows to pick the image where all the darts add up to the number in the left image

FunCaptcha rotate object challenge

Use the arrows to rotate the object to face in the direction of the hand

FunCaptcha orientation challenge

Pick the image that is the correct way up

1. Create task

Request

Body Parameters

Response

  • errorId = 0 with taskId → success
  • errorId = 1 with errorCode → failure (see Error Codes)

2. Get task result

Request

Response

  • errorId = 0 with status = "ready" → read the answer from solution.index.
  • errorId = 0 with status = "processing" → job is still running, wait 2 seconds and retry.
  • errorId = 1 → failure (see Error Codes).
The server returns the position of the correct image in the sequence. When clicking the right-arrow button on the page, you must subtract 1 because the captcha image occupies the first position.Example: server returns index = 5 → click the right arrow 4 times.